#include <stdio.h>
#include <algorithm>
using namespace std;

int main()
{
    int n;
    scanf("%d", &n);

    pair<int, int> rc[20010];

    for(int i = 1; i <= n;i++)
        scanf("%d%d", &rc[i].first, &rc[i].second);

    if(n == 2){
        if(rc[1].first == rc[2].first){
            printf("1");
            return 0;
        }
        else{
            if(rc[1].second == rc[2].second){
                printf("1");
                return 0;
            }
            else{
                printf("0");
                return 0;
            }
        }

    }


    return 0;
}